<?php

/*************************************************************************
 * @Filename:CheckLinks.php
 * @Author: XenMax
 * @Date:   2017-12-05 10:57:21
 * @Last Modified by:   XenMax
 * @Last Modified time: 2017-12-05 16:58:57
 * XenMax All Rights Reserved.
 **************************************************************************
 * This file is subject to the terms and conditions defined in the Licence
 * Agreement available at Try it like it buy it :)
 *************************************************************************/
namespace XenMax\HideLinkGuests\Repository;
use XF\Mvc\Entity\Repository;
class CheckLinks extends Repository
{
	
	public function checkUrl($url)
	{
		//Get options config
		$options = $this->app()->options();
		$TheWhiteList = $options->XM_HLG_whiteList;
		//Get Board URL
		$boardUrls = $options->boardUrl;
		//Get board host
		$boardUrl = parse_url($boardUrls);
		$boardHost = $boardUrl['host'];
		//Get url host
		$sourceUrl = parse_url($url);
		if (!empty($sourceUrl['host']) )
		{
			$curentDomain = $sourceUrl['host'];
		}
		else
		{
			$curentDomain = $boardHost;
		}
		$boardInc = $options->XM_HLG_boardInc;
		//Add board url to the whitelist
		if($boardInc)
		{
			array_push($TheWhiteList, $boardUrls);
		}
		$whiteList = [];
		if(!empty($TheWhiteList))
		{
			foreach ($TheWhiteList as $value)
			{
				$whiteHost = parse_url($value);
				array_push($whiteList, $whiteHost['host']);
			}
		} 
		
		// Check if we match the domain exactly
		if ( in_array( $curentDomain, $whiteList ) )
		{
			return true;
		}
		return false;
	}
	
	
}